<?php
namespace Claromentis\Quiz\Repository;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_0d65f013f1" . "70b15345335" . "a8293768309" => base64_decode("YXR0ZW1wdF9pZCA9IGludDph" . "dHRlbXB0X2lk"), "atte" . "mpt_" . "id" => base64_decode("YXR0ZW1w" . "dF9pZA=="), "_da37e3ee6cc7054cfd0b5b896896c" . "fbf" => base64_decode("U2V0QW5zd2V" . "ycw=="), "_fb181f138b94816d72901c265" . "594bc96" => base64_decode("cXVlc3Rpb25faWQgPSBpbnQ6c" . "XVlc3Rpb25faWQ="));
use Claromentis\Core\DAL;
use Claromentis\Core\Repository\Repository;
use Claromentis\Core\Repository\RepositoryItem;
use Claromentis\Quiz\Model;
use Claromentis\Quiz\Util\Relations;






class AnswerRepository extends Repository
{
    
    
    
    
    
    
    
    public function GetAttemptAnswers(Model\Attempt $_7adc269a13af5c45b5a1caf4ec75a795)
    {
        
        
        if (!$_7adc269a13af5c45b5a1caf4ec75a795->id) {
            return array();
        }
        
        
        
        
        $_b1d9743b68fd81cc4d60987cbf4b4f57 = $this->GetObjects(new DAL\QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0d65f013f170b15345335a829376830" . "9"], $_7adc269a13af5c45b5a1caf4ec75a795->id));
        return $_b1d9743b68fd81cc4d60987cbf4b4f57;
    }
    
    
    
    
    
    
    
    
    
    public function GetQuestionAnswers(Model\Question $question)
    {
        
        
        if (!$question->id) {
            return array();
        }
        
        
        
        
        $_b1d9743b68fd81cc4d60987cbf4b4f57 = $this->GetObjects(new DAL\QueryPart($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fb181f138b94816d72901" . "c265594bc96"], $question->id));
        return $_b1d9743b68fd81cc4d60987cbf4b4f57;
    }
    
    
    
    
    
    
    
    public function LoadAttemptAnswers(array $_e6c850126cff293d170e2d7ab4e2aad4)
    {
        return Relations::LoadFor($_e6c850126cff293d170e2d7ab4e2aad4, $this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["atte" . "mpt_" . "id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_da37e3ee6cc7054" . "cfd0b5b896896cfb" . "f"]);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function LoadFor(array $_7be0fe72d1d4f4705351e229d138bccd, $_df5a829bb6f8ccbb208e4b53124dbbf2, $_50304948b9940e3756a41b1f5ef8b829 = null)
    {
        return Relations::LoadFor($_7be0fe72d1d4f4705351e229d138bccd, $this, $_df5a829bb6f8ccbb208e4b53124dbbf2, $_50304948b9940e3756a41b1f5ef8b829 ?: $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_da37e3ee6cc70" . "54cfd0b5b89689" . "6cfbf"]);
    }
    
    
    
    
    
    
    public function NewObject()
    {
        
        
        
        
        $_fc4332281354cbd9808cb1a2c94c383d = parent::NewObject();
        return $_fc4332281354cbd9808cb1a2c94c383d;
    }
}